### Function

# Qmi MessageWdsSetEventReportInput new

since: 1.18

#### Declaration [src]

    QmiMessageWdsSetEventReportInput*
    qmi_message_wds_set_event_report_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdsSetEventReportInput`.

Available since: 1.18

#### Return value

Type: `QmiMessageWdsSetEventReportInput`

The newly created `QmiMessageWdsSetEventReportInput`. The returned value should be freed with qmi_message_wds_set_event_report_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.